Subject: bug#16557: 24.3; foreground-color-at-point does not define a color produced by facemenu-set-foreground

From: Alex Kost <[email-masked]>
Date: Tue, 08 Dec 2020 19:55:27 +0300

Lars Ingebrigtsen (2020-12-06 15:51 +0100) wrote:

> Alex Kost <[email-masked]> writes:
>
>> Recipe:
>> - emacs -Q
>> - Create new buffer (lisp-interaction-mode is not suitable):
>>   C-x b new RET
>> - Write some text and select it
>> - M-x facemenu-set-foreground RET green RET
>> - The text becomes green, but "M-: (foreground-color-at-point)"
>>   returns nil 
>
> (This bug report unfortunately got no response at the time.)
>
> Thanks for the clear recipe.
>
> I tried reproducing this in Emacs 28, but `foreground-color-at-point'
> returns "green" for me there, so I'm going to go ahead and guess that
> this problem has been fixed at some point after this bug was reported,
> and I'm closing this bug report.
>
> If you're still seeing this issue, please respond to the debbugs address
> and we'll reopen.

I also don't reproduce it anymore :-)
Thank you for the reply!

-- 
Alex